=== debian/changelog ===
ros-foxy-chiconybot-gazebo (0.0.2-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Detullah Atas <fetulahatas1@gmail.com>  Tue, 08 Sep 2020 02:35:51 -0000

ros-foxy-chiconybot-gazebo (0.0.1-1focal) focal; urgency=high

  * configure navigation stack for chiconybot
  * add imu
  * cleanly added depth cam
  * robot model is proper in rviz
  * chcony bot based on dolly
  * new model for chicony_experimental
  * robot model fixes
  * add experimental chiconybot
  * rename stl file
  * naming issue fix
  * init repo
  * Contributors: jediofgever

 -- Detullah Atas <fetulahatas1@gmail.com>  Mon, 07 Sep 2020 16:00:00 -0000
