=== debian/control ===
Source: ros-foxy-chiconybot-gazebo
Section: misc
Priority: optional
Maintainer: Detullah Atas <fetulahatas1@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-chiconybot, ros-foxy-gazebo-ros-pkgs, ros-foxy-geometry-msgs, ros-foxy-nav-msgs, ros-foxy-rclcpp, ros-foxy-sensor-msgs, ros-foxy-tf2, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-chiconybot-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-chiconybot, ros-foxy-gazebo-ros-pkgs, ros-foxy-geometry-msgs, ros-foxy-nav-msgs, ros-foxy-rclcpp, ros-foxy-sensor-msgs, ros-foxy-tf2, ros-foxy-ros-workspace
Description: Gazebo simulation package for the Chiconybot
